From addf737571ac87a89af25bcdd974328ea1a9cf65 Mon Sep 17 00:00:00 2001
From: Ojong Enow <damarisndum2@gmail.com>
Date: Nov 20 2021 02:57:55 +0000
Subject: [PATCH 1/4] update image download sizes on alt.fp.o


---

diff --git a/alt.fedoraproject.org/data/content/alt/index.html b/alt.fedoraproject.org/data/content/alt/index.html
index c08e12b..ae3f553 100644
--- a/alt.fedoraproject.org/data/content/alt/index.html
+++ b/alt.fedoraproject.org/data/content/alt/index.html
@@ -110,7 +110,7 @@
             <h3>${_('Fedora Minimal')}</h3>
             </div>
             <div class="col-md-3">
-            <p>${Markup(_('%sMB raw image')) % global_variables.iso_size['aarch64_min']}</p>
+            <p>${Markup(_('%sGB raw image')) % global_variables.iso_size['aarch64_min']}</p>
             </div>
             <div class="col-md-4">
             <p class="download"><a href="${global_variables.path['download_arch']}/${global_variables.release['curr_alt_id']}/Spins/aarch64/images/Fedora-Minimal-${global_variables.release['curr_alt_id']}-${global_variables.release['RC_gold_aarch64']}.aarch64.raw.xz">${_('Download')}</a> | <a href="${path}/${lang}/verify.html">${_('Verify')}</a></p>
diff --git a/build.d/globalvar.py b/build.d/globalvar.py
index 305d2af..4110f36 100644
--- a/build.d/globalvar.py
+++ b/build.d/globalvar.py
@@ -119,34 +119,34 @@ iso_size={
     'x86_64_Netinstall':   '321',       # In MB
     'PPC64_DVD':           '4.3',       # In GB
     'PPC64_Netinstall':    '340',       # In MB
-    'aarch64_Server_DVD':  '2.8',       # In GB
-    'aarch64_Server_net':  '552',       # In MB
+    'aarch64_Server_DVD':  '2.0',       # In GB
+    'aarch64_Server_net':  '602',       # In MB
     'aarch64_Server_raw':  '571',       # In MB
     'aarch64_Cloud_net':   '459',       # In MB
-    'aarch64_qcow2':       '313',       # In MB
-    'aarch64_raw':         '190',       # In MB
-    'aarch64_Container':   '43',        # In MB
-    'aarch64_WS':          '2.8',       # In GB
-    'aarch64_KDE_live':         '1.9',       # In GB
-    'aarch64_KDE_raw':         '4.0',       # In GB
-    'aarch64_min':         '412',       # In MB
+    'aarch64_qcow2':       '360',       # In MB
+    'aarch64_raw':         '282',       # In MB
+    'aarch64_Container':   '32.7',        # In MB
+    'aarch64_WS':          '1.8',       # In GB
+    'aarch64_KDE_live':    '1.9',       # In GB
+    'aarch64_KDE_raw':     '4.1',       # In GB
+    'aarch64_min':         '1.0',       # In GB
     'ppc64_Server_DVD':    '3.0',       # In GB
     'ppc64_Server_net':    '597',       # In MB
     'ppc64_Cloud_net':     '520',       # In MB
     'ppc64_qcow2':         '282',       # In MB
     'ppc64_raw':           '158',       # In MB
     'ppc64_Container':     '43',        # In MB
-    'ppc64le_Server_DVD':  '1.9',       # In GB
-    'ppc64le_Server_net':  '619',       # In MB
+    'ppc64le_Server_DVD':  '2.0',       # In GB
+    'ppc64le_Server_net':  '633',       # In MB
     'ppc64le_Cloud_net':   '488',       # In MB
-    'ppc64le_qcow2':       '366',       # In MB
-    'ppc64le_raw':         '232',       # In MB
-    'ppc64le_Container':   '42',        # In MB
-    's390x_Server_DVD':    '1.7',       # In GB
-    's390x_Server_net':    '484',       # In MB
-    's390x_qcow2':         '360',       # In MB
-    's390x_raw':           '222',       # In MB
-    's390x_Container':     '37',        # In MB
+    'ppc64le_qcow2':       '368',       # In MB
+    'ppc64le_raw':         '283',       # In MB
+    'ppc64le_Container':   '36.4',        # In MB
+    's390x_Server_DVD':    '1.8',       # In GB
+    's390x_Server_net':    '500',       # In MB
+    's390x_qcow2':         '369',       # In MB
+    's390x_raw':           '273',       # In MB
+    's390x_Container':     '32.3',        # In MB
     'i686_sda.qcow2':      '212',       # In MB
     'x86_64_sda.qcow2':    '207',       # In MB
     'i686_raw':            '122',       # In MB
@@ -229,7 +229,7 @@ iso_size={
     # Server
     'x86_64_server_DVD':   '3.0',       # In GB
     'i386_server_DVD':     '2.8',       # In GB
-    'x86_64_server_net':   '600',       # In MB
+    'x86_64_server_net':   '646',       # In MB
     'i386_server_net':     '536',       # In MB
     # Server prerelease
     'pre_x86_64_server_DVD': '2.7',     # In GB
@@ -271,12 +271,12 @@ iso_size={
     'pre_ARM_Cinnamon':    '780',       # In MB
     'pre_ARM_SoaS':        '682',       # In MB
     # Cloud
-    'raw_x86_64_cloud':    '195',       # In MB
+    'raw_x86_64_cloud':    '287',       # In MB
     'raw_i386_cloud':      '143',       # In MB
-    'qcow2_x86_64_cloud':  '319',       # In MB
+    'qcow2_x86_64_cloud':  '359',       # In MB
     'qcow2_i386_cloud':    '216',       # In MB
     'VBvag_cloud':         '279',       # In MB
-    'GCP_x86_64_tar':      '263',       # In MB
+    'GCP_x86_64_tar':      '358',       # In MB
     'libvag_cloud':        '290',       # In MB
     'x86_64_Container':    '43',        # In MB
     'x86_64_docker':       '43',        # In MB NOTE: this is just to make fedoraproject.org build happy
@@ -286,8 +286,8 @@ iso_size={
     'atomic_qcow2_cloud':  '???',       # In MB
     'atomic_VBvag_cloud':  '???',       # In MB
     'atomic_libvag_cloud': '???',       # In MB
-    'VBvag_cloud':         '304',       # In MB
-    'libvag_cloud':        '294',       # In MB
+    'VBvag_cloud':         '362',       # In MB
+    'libvag_cloud':        '354',       # In MB
     'x86_64_Container':    '51',        # In MB
     'atomic_iso':          '918',       # In MB
     # Cloud prerelease
@@ -313,12 +313,12 @@ iso_size={
     'manual_pre_atomic_libvag_cloud': '648',   # In MB
     'manual_pre_atomic_iso':          '1054',  # In MB
     # Everything release
-    'x86_64_ev':        '601',   #In MB
+    'x86_64_ev':        '646',   #In MB
     'i386_ev':          '556',   #In MB
-    's390x_ev':         '445',   #In MB
-    'aarch64_ev':       '552',   #In MB
+    's390x_ev':         '500',   #In MB
+    'aarch64_ev':       '602',   #In MB
     'ppc64_ev':         '597',   #In MB
-    'ppc64le_ev':       '578',   #In MB
+    'ppc64le_ev':       '633',   #In MB
     # Everything prerelease
     'pre_x86_64_ev':        '571',   #In MB
     'pre_i386_ev':          '525',   #In MB

From 14187e249672c13838cdf1373091d29a6e127237 Mon Sep 17 00:00:00 2001
From: Ojong Enow <damarisndum2@gmail.com>
Date: Nov 20 2021 03:22:46 +0000
Subject: [PATCH 2/4] update image download sizes on spins.fp.o


---

diff --git a/build.d/globalvar.py b/build.d/globalvar.py
index 4110f36..b54418e 100644
--- a/build.d/globalvar.py
+++ b/build.d/globalvar.py
@@ -155,19 +155,20 @@ iso_size={
     's390_DVD':            '1.5',
     # Spins
     'i686_Live_KDE':       '1.3',       # In GB
-    'x86_64_Live_KDE':     '1.8',       # In GB
+    'x86_64_Live_KDE':     '2.0',       # In GB
     'i686_Live_LXDE':      '1.3',       # In GB
     'x86_64_Live_LXDE':    '1.3',       # In GB
     'i686_Live_LXQt':      '1.4',       # In GB
-    'x86_64_Live_LXQt':    '1.4',       # In GB
+    'x86_64_Live_LXQt':    '1.3',       # In GB
     'i686_Live_Xfce':      '1.5',       # In GB
     'x86_64_Live_Xfce':    '1.5',       # In GB
     'i686_Live_Mate':      '2.0',       # In GB
     'x86_64_Live_Mate':    '2.0',       # In GB
     'i686_Live_Soas':      '895',       # In MB
-    'x86_64_Live_Soas':    '946',       # In MB
-    'i686_Live_Cinnamon':   '2.0',       # In GB
-    'x86_64_Live_Cinnamon': '2.1',       # In GB
+    'x86_64_Live_Soas':    '1.1',       # In GB
+    'i686_Live_Cinnamon':   '2.0',      # In GB
+    'x86_64_Live_Cinnamon': '2.0',      # In GB
+    'x86_64_Live_i3':       '1.3',      # In GB
     # Spins prerelease
     'pre_i686_Live_KDE':    '1.5',       # In GB
     'pre_x86_64_Live_KDE':  '1.9',       # In GB
diff --git a/spins.fedoraproject.org/data/content/cinnamon/download/index.html b/spins.fedoraproject.org/data/content/cinnamon/download/index.html
index 0b2cf4f..fc7feab 100644
--- a/spins.fedoraproject.org/data/content/cinnamon/download/index.html
+++ b/spins.fedoraproject.org/data/content/cinnamon/download/index.html
@@ -18,6 +18,7 @@
         <div class="col-md-7 col-md-offset-5 text-left">
           <h2>${Markup(_('Download Fedora %(rel)s Cinnamon Desktop')) % {'rel':global_variables.release['curr_id']}}</h2>
             <p class="gr"><a class="btn btn-success cinnamon-download-splash" href="${global_variables.path['download']}/${global_variables.release['curr_id']}/Spins/x86_64/iso/Fedora-Cinnamon-Live-x86_64-${global_variables.release['curr_id']}-${global_variables.release['RC_gold']}.iso" role="button">${_('Download')}</a></p>
+            <h5>${Markup(_('%s GB ISO Image for 64-bit PC')) % global_variables.iso_size['x86_64_Live_Cinnamon']}</h5>
         </div>
       </div>
     </div>
diff --git a/spins.fedoraproject.org/data/content/i3/download/index.html b/spins.fedoraproject.org/data/content/i3/download/index.html
index 17e5885..b9a3b49 100755
--- a/spins.fedoraproject.org/data/content/i3/download/index.html
+++ b/spins.fedoraproject.org/data/content/i3/download/index.html
@@ -20,6 +20,7 @@
             <p class="gr"><a class="btn btn-success i3-download-splash" href="${global_variables.path['download']}/${global_variables.release['curr_id']}/Spins/x86_64/iso/Fedora-i3-Live-x86_64-${global_variables.release['curr_id']}-${global_variables.release['RC_gold']}.iso" role="button">${_('Download')}</a></p>
 	    <!--<p class="gr"><a class="btn btn-success lxqt-download-splash" href="https://dl.fedoraproject.org/pub/alt/unofficial/releases/29/x86_64/Fedora-LXQt-Live-x86_64-29-20181029.1.iso" role="button">${_('Download')}</a></p>-->
 <!--            <h5>${Markup(_('%s GB ISO Image for 64-bit PC')) % global_variables.iso_size['x86_64_Live_LXQt']}</h5>-->
+            <h5>${Markup(_('%s GB ISO Image for 64-bit PC')) % global_variables.iso_size['x86_64_Live_i3']}</h5>
         </div>
       </div>
     </div>
diff --git a/spins.fedoraproject.org/data/content/soas/download/index.html b/spins.fedoraproject.org/data/content/soas/download/index.html
index d43be1b..35a3068 100644
--- a/spins.fedoraproject.org/data/content/soas/download/index.html
+++ b/spins.fedoraproject.org/data/content/soas/download/index.html
@@ -19,7 +19,7 @@
           <h2>${Markup(_('Download Fedora %(rel)s SoaS Desktop')) % {'rel':global_variables.release['curr_id']}}</h2>
 <!--            <p class="gr"><a class="btn btn-success" href="http://dl.fedoraproject.org/pub/alt/unofficial/releases/24/x86_64/Fedora-SoaS-Live-x86_64-24-20160614.n.0.iso" role="button">${_('Download')}</a></p> -->
             <p class="gr"><a class="btn btn-success soas-download-splash" href="${global_variables.path['download']}/${global_variables.release['curr_id']}/Spins/x86_64/iso/Fedora-SoaS-Live-x86_64-${global_variables.release['curr_id']}-${global_variables.release['RC_gold']}.iso" role="button">${_('Download')}</a></p>
-            <h5>${Markup(_('%s MB ISO Image for 64-bit PC')) % global_variables.iso_size['x86_64_Live_Soas']}</h5>
+            <h5>${Markup(_('%s GB ISO Image for 64-bit PC')) % global_variables.iso_size['x86_64_Live_Soas']}</h5>
         </div>
       </div>
     </div>

From 5b81f0b7204df807695587398967ba8f0c590529 Mon Sep 17 00:00:00 2001
From: Ojong Enow <damarisndum2@gmail.com>
Date: Nov 20 2021 03:37:06 +0000
Subject: [PATCH 3/4] update image download sizes on labs.fp.o


---

diff --git a/build.d/globalvar.py b/build.d/globalvar.py
index b54418e..411a4a5 100644
--- a/build.d/globalvar.py
+++ b/build.d/globalvar.py
@@ -185,23 +185,23 @@ iso_size={
     'pre_i686_Live_LXQt':    '1.4',      # In GB
     'pre_x86_64_Live_LXQt':  '1.4',      # In GB
     # Labs
-    'i686_Live_Security':  '1.6',       # In GB
-    'x86_64_Live_Security':'1.7',       # In GB
-    'i686_Live_Games':     '4.0',       # In GB
-    'x86_64_Live_Games':   '4.1',       # In GB
+    'i686_Live_Security':  '2.5',       # In GB
+    'x86_64_Live_Security':'2.5',       # In GB
+    'i686_Live_Games':     '5.8',       # In GB
+    'x86_64_Live_Games':   '5.8',       # In GB
     'i686_Live_Elab':      '2.5',       # In GB
     'x86_64_Live_Elab':    '2.5',       # In GB
-    'i686_Live_Design':    '2.4',       # In GB
-    'x86_64_Live_Design':  '2.4',       # In GB
-    'i686_Live_Sci-kde':   '3.4',       # In GB
-    'x86_64_Live_Sci-kde': '3.7',       # In GB
-    'i686_Live_Robotics':  '2.5',       # In GB
-    'x86_64_Live_Robotics':'2.5',       # In GB
-    'i686_Live_Jam':       '2.4',       # In GB
+    'i686_Live_Design':    '3.0',       # In GB
+    'x86_64_Live_Design':  '3.0',       # In GB
+    'i686_Live_Sci-kde':   '4.1',       # In GB
+    'x86_64_Live_Sci-kde': '4.1',       # In GB
+    'i686_Live_Robotics':  '2.9',       # In GB
+    'x86_64_Live_Robotics':'2.9',       # In GB
+    'i686_Live_Jam':       '2.5',       # In GB
     'x86_64_Live_Jam':     '2.5',       # In GB
-    'i686_Live_Astronomy': '3.5',       # In GB
-    'x86_64_Live_Astronomy':'3.6',      # In GB
-    'i686_Live_Py_Class':  '1.7',       # In GB
+    'i686_Live_Astronomy': '4.4',       # In GB
+    'x86_64_Live_Astronomy':'4.4',      # In GB
+    'i686_Live_Py_Class':  '1.8',       # In GB
     'x86_64_Live_Py_Class':'1.8',       # In GB
     'libvirt_Py_Class':    '881',     	# In MB
     'virtualbox_Py_Class': '923',   	# In MB

From beb63dd7db3469343381b3ebef7032339dffcf55 Mon Sep 17 00:00:00 2001
From: Ojong Enow <damarisndum2@gmail.com>
Date: Nov 20 2021 03:46:43 +0000
Subject: [PATCH 4/4] update image download sizes on arm.fp.o


---

diff --git a/arm.fedoraproject.org/data/content/index.html b/arm.fedoraproject.org/data/content/index.html
index 817620f..195165e 100644
--- a/arm.fedoraproject.org/data/content/index.html
+++ b/arm.fedoraproject.org/data/content/index.html
@@ -69,7 +69,7 @@
                 <h3>${_('Fedora Server')}</h3>
               </div>
               <div class="col-md-3">
-                <p>${Markup(_('%sMB raw image')) % global_variables.iso_size['ARM_Server']}</p>
+                <p>${Markup(_('%sGB raw image')) % global_variables.iso_size['ARM_Server']}</p>
               </div>
               <div class="col-md-4">
                 <p class="download"><a href="${global_variables.path['download']}/${global_variables.release['curr_id']}/Server/armhfp/images/Fedora-Server-${global_variables.release['curr_arm_id']}-${global_variables.release['RC_gold']}.armhfp.raw.xz">${_('Download')}</a> | <a href="verify.html">${_('Verify')}</a></p>
@@ -279,7 +279,7 @@
                 <h3>${_('Sugar on a Stick')}</h3>
               </div>
               <div class="col-lg-3">
-                <p>${Markup(_('%sMB raw image')) % global_variables.iso_size['ARM_SoaS']}</p>
+                <p>${Markup(_('%sGB raw image')) % global_variables.iso_size['ARM_SoaS']}</p>
               </div>
               <div class="col-lg-4">
                 <p class="download"><a href="${global_variables.path['download']}/${global_variables.release['curr_id']}/Spins/armhfp/images/Fedora-SoaS-${global_variables.release['curr_arm_id']}-${global_variables.release['RC_gold']}.armhfp.raw.xz">${_('Download')}</a> | <a href="verify.html">${_('Verify')}</a></p>
diff --git a/build.d/globalvar.py b/build.d/globalvar.py
index 411a4a5..2766345 100644
--- a/build.d/globalvar.py
+++ b/build.d/globalvar.py
@@ -106,8 +106,8 @@ path={
 iso_size={
 
     #Media
-    'macosx':             '23.4',       # In MB
-    'windows':            '22.7',       # In MB
+    'macosx':             '24.1',       # In MB
+    'windows':            '20.7',       # In MB
 
     # Legacy
     'x86_64_DVD':          '1.9',       # In GB
@@ -250,15 +250,15 @@ iso_size={
     # Silverblue
     'x64_silverblue':   '2.1',  # In GB
     # ARM
-    'ARM_Workstation':     '1.3',       # In GB
-    'ARM_Server':          '507',       # In MB
-    'ARM_Minimal':         '362',       # In MB
-    'ARM_KDE':             '1.4',       # In GB
-    'ARM_Xfce':            '1.1',       # In MB
+    'ARM_Workstation':     '3.3',       # In GB
+    'ARM_Server':          '1.2',       # In GB
+    'ARM_Minimal':         '975',       # In MB
+    'ARM_KDE':             '3.7',       # In GB
+    'ARM_Xfce':            '2.8',       # In MB
     'ARM_LXDE':            '1.1',       # In MB
     'ARM_LXQt':            '1.0',       # In GB
     'ARM_Mate':            '1.5',       # In GB
-    'ARM_SoaS':            '730',       # In MB
+    'ARM_SoaS':            '2.0',       # In GB
     'ARM_Python':          '1.2',       # In GB
     # ARM prerelease
     'pre_ARM_Workstation': '1.4',       # In GB

